/*
Copyright (C) 1996-1997 Id Software, Inc.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#define	BLOCK_WIDTH		128
#define	BLOCK_HEIGHT	128
#define	MAX_LIGHTMAPS	64

typedef struct glRect_s
{
    unsigned char l,t,w,h;
} glRect_t;

extern int      lightmap_bytes;
extern int      lightmap_textures;
extern qboolean	lightmap_modified[MAX_LIGHTMAPS];
extern glRect_t	lightmap_rectchange[MAX_LIGHTMAPS];
extern byte     lightmaps[MAX_LIGHTMAPS*BLOCK_WIDTH*BLOCK_HEIGHT*4];

void R_RenderDynamicLightmaps (glmsurface_t *fa);
void R_RenderDynamicVertexLightmaps (glmsurface_t *fa);
